# coding=utf-8
"""
Setup for ndjsonTosvg
"""

from setuptools import setup, find_packages
import versioneer

# Get the long description
with open('README.rst') as f:
    long_description = f.read()

setup(
    name='ndjsonTosvg',
    version=versioneer.get_version(),
    cmdclass=versioneer.get_cmdclass(),
    description='ndjsonTosvg to convert Google Quickdraw data set ndjson format to svg images',
    long_description=long_description,
    long_description_content_type='text/x-rst',
    url='https://github.com/thompson318/ndjsonTosvg',
    author='Stephen Thompson',
    author_email='YOUR-EMAIL@ucl.ac.uk',
    license='BSD-3 license',
    classifiers=[
        'Development Status :: 3 - Alpha',

        'Intended Audience :: Developers',
        'Intended Audience :: Healthcare Industry',
        'Intended Audience :: Information Technology',
        'Intended Audience :: Science/Research',


        'License :: OSI Approved :: BSD License',


        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 3',

        'Topic :: Scientific/Engineering :: Information Analysis',
        'Topic :: Scientific/Engineering :: Medical Science Apps.',
    ],

    keywords='medical imaging',

    packages=find_packages(
        exclude=[
            'doc',
            'tests',
        ]
    ),

    install_requires=[
            'ndjson',
    ],

    entry_points={
        'console_scripts': [
            'ndjsontosvg=ndjsontosvg.__main__:main',
        ],
    },
)
